﻿<?xml version='1.0' encoding='UTF-8'?>
  <xsl:stylesheet version="1.0"
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

    <xsl:template match="/gglmekata">

<html lang="ja">
<head>
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"></meta>
 <title>ぐーぐ流目方でドン</title>
</head>

<body bgcolor="#ffffff" text="#111111" 
      link="#006688" vlink="#004466" alink="#000000">

<table border="0" width="100%" bgcolor="#ee9977" summary="about this software">
<tr><td>
<b>ぐーぐ流目方でドン ver 0.01</b>
</td><td align="right">
(c) 長 健太(ABA."Saba")
</td></tr>
</table>

<p>
お題ワードと同じHit数をGoogleで叩きだせ!
</p>

<table border="0" width="100%" summary="section">
<tr><td nowrap="">
<b>お題ワード</b>
</td><td width="100%">
<hr size="1"></hr>
</td></tr>
</table>

<p><b><big>
 <xsl:value-of select="theme"/> + <xsl:value-of select="fixed"/>
</big></b></p>

<p>
 Googleで全言語のページから
 <b><big><xsl:value-of select="theme"/> + <xsl:value-of select="fixed"/></big></b>
 を検索し、
 <b><big><xsl:apply-templates select="count"/></big></b> 件ヒット
</p>

<blockquote>
 <xsl:apply-templates select="firsthit"/>
</blockquote>

<p>
 <xsl:value-of select="snippet" disable-output-escaping="yes"/>
</p>

<table border="0" width="100%" summary="section">
<tr><td nowrap="">
<b>入力せよ</b>
</td><td width="100%">
<hr size="1"></hr>
</td></tr>
</table>

<p>
 （キーワード） + <xsl:value-of select="fixed"/> で
  <xsl:apply-templates select="count"/> Hitを狙え!
</p>

<form method="post"
      action="/servlet/abagames.gglmekata.GglMekataServlet">
<p>
 キーワード: <input type="text" name="query"></input>
 <input type="submit" value="ドン!"></input>
</p>
</form>

<table border="0" width="100%" summary="section">
<tr><td nowrap="">
<b>いままでの答え</b>
</td><td width="100%">
<hr size="1"></hr>
</td></tr>
</table>

<p>
<table border="1" width="100%">
<tr>
 <td><b>ワード</b></td>
 <td><b>Hit数</b></td>
 <td><b>差</b></td>
 <td><b>Feeling Lucky</b></td>
</tr>
 <xsl:apply-templates select="history/result"/>
</table>
</p>

<table border="0" width="100%" bgcolor="#ee9977" summary="return to top">
<tr><td>
■
</td><td align="right">
<a href="http://www.asahi-net.or.jp/~cs8k-cyu/index.html">ABA Gamesトップページへ</a>
</td></tr>
</table>

</body>
</html>

    </xsl:template>

    <xsl:template match="result">
     <xsl:variable name="theme_count" select="/gglmekata/count"/>
     <xsl:variable name="matched_count" select="count"/>
     <tr>
      <td>
       <xsl:value-of select="word"/> + 
       <xsl:value-of select="/gglmekata/fixed"/>
      </td>
      <td align="right">
       <xsl:apply-templates select="count"/>件
      </td>
      <td align="right">
       <xsl:value-of select="$matched_count - $theme_count"/>
      </td>
      <td>
       <xsl:apply-templates select="firsthit"/>
      </td>
     </tr>
    </xsl:template>

    <xsl:template match="count">
     <xsl:value-of select="estimatedTotalResultsCount"/>
    </xsl:template>

    <xsl:template match="firsthit">
     <xsl:element name="a">
      <xsl:attribute name="href">
       <xsl:value-of select="URL"/>
      </xsl:attribute>
      <xsl:value-of select="title" disable-output-escaping="yes"/>
     </xsl:element>
     <br></br>
      <xsl:value-of select="snippet" disable-output-escaping="yes"/>
     <br></br>
      <font color="#007700">
      <xsl:value-of select="URL" disable-output-escaping="yes"/>
      </font>
    </xsl:template>
   
  </xsl:stylesheet>
